<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Registers</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Registers<div class="ingroups"><a class="el" href="group__bmp3.html">BMP3</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Read / Write data to the given register address.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Registers:</div>
<div class="dyncontent">
<div class="center"><img src="group__bmp3ApiRegs.png" border="0" usemap="#group____bmp3ApiRegs" alt=""/></div>
<map name="group____bmp3ApiRegs" id="group____bmp3ApiRegs">
<area shape="rect" title="Read / Write data to the given register address." alt="" coords="112,5,195,31"/>
<area shape="rect" href="group__bmp3.html" title=" " alt="" coords="5,5,64,31"/>
</map>
</div>
<p>Read / Write data to the given register address. </p>


<h3><a id="bmp3_api_bmp3_set_regs"></a>bmp3_set_regs</h3><div class="textblock"><div class="fragment"><div class="line">int8_t <a class="code" href="bmp3_8c.html#ad02d16a9569a75f9df070348eb7cb1fe">bmp3_set_regs</a>(uint8_t *reg_addr, <span class="keyword">const</span> uint8_t *reg_data, uint8_t len, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structbmp3__dev.html">bmp3_dev</a> *dev);</div>
</div><!-- fragment -->This API writes the given data to the register address of the sensor.<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">reg_addr</td><td>: Register address to where the data to be written. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">reg_data</td><td>: Pointer to data buffer which is to be written in the sensor. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">len</td><td>: No. of bytes of data to write. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dev</td><td>: Structure instance of <a class="el" href="structbmp3__dev.html" title="bmp3 device structure">bmp3_dev</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Result of API execution status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>-&gt; Success </td></tr>
    <tr><td class="paramname">&gt;0</td><td>-&gt; Warning </td></tr>
    <tr><td class="paramname">&lt;0</td><td>-&gt; Error </td></tr>
  </table>
  </dd>
</dl>
</div>

<h3><a id="bmp3_api_bmp3_get_regs"></a>bmp3_get_regs</h3><div class="textblock"><div class="fragment"><div class="line">int8_t <a class="code" href="bmp3_8c.html#a9e0c2cdecfdac8aa6ed4e35940f7ade7">bmp3_get_regs</a>(uint8_t reg_addr, uint8_t *reg_data, uint16_t length, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structbmp3__dev.html">bmp3_dev</a> *dev);</div>
</div><!-- fragment -->This API reads the data from the given register address of the sensor.<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">reg_addr</td><td>: Register address from where the data to be read </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">reg_data</td><td>: Pointer to data buffer to store the read data. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">len</td><td>: No. of bytes of data to be read. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dev</td><td>: Structure instance of <a class="el" href="structbmp3__dev.html" title="bmp3 device structure">bmp3_dev</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Result of API execution status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>-&gt; Success </td></tr>
    <tr><td class="paramname">&gt;0</td><td>-&gt; Warning </td></tr>
    <tr><td class="paramname">&lt;0</td><td>-&gt; Error </td></tr>
  </table>
  </dd>
</dl>
</div></div><!-- contents -->
<div class="ttc" id="astructbmp3__dev_html"><div class="ttname"><a href="structbmp3__dev.html">bmp3_dev</a></div><div class="ttdoc">bmp3 device structure</div><div class="ttdef"><b>Definition:</b> bmp3_defs.h:878</div></div>
<div class="ttc" id="abmp3_8c_html_a9e0c2cdecfdac8aa6ed4e35940f7ade7"><div class="ttname"><a href="bmp3_8c.html#a9e0c2cdecfdac8aa6ed4e35940f7ade7">bmp3_get_regs</a></div><div class="ttdeci">int8_t bmp3_get_regs(uint8_t reg_addr, uint8_t *reg_data, uint32_t len, struct bmp3_dev *dev)</div><div class="ttdoc">This API reads the data from the given register address of the sensor.</div><div class="ttdef"><b>Definition:</b> bmp3.c:794</div></div>
<div class="ttc" id="abmp3_8c_html_ad02d16a9569a75f9df070348eb7cb1fe"><div class="ttname"><a href="bmp3_8c.html#ad02d16a9569a75f9df070348eb7cb1fe">bmp3_set_regs</a></div><div class="ttdeci">int8_t bmp3_set_regs(uint8_t *reg_addr, const uint8_t *reg_data, uint32_t len, struct bmp3_dev *dev)</div><div class="ttdoc">This API writes the given data to the register address of the sensor.</div><div class="ttdef"><b>Definition:</b> bmp3.c:844</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
